<?php

namespace Yoprueba\Yoprueba\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Yoprueba\Yoprueba\Interfaces\CarRepositoryInterface;

class CarPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Yoprueba\Car\Interfaces\CarRepositoryInterface $car
     *
     * @return type
     */
    public function __construct(CarRepositoryInterface $car)
    {
        $this->model = $car;
        parent::__construct();
    }

    /**
     * Show car's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $cars = $this->model->all();

        return $this->theme->of('yoprueba::public.car.index', compact('cars'))->render();
    }

    /**
     * Show car.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $car = $this->model->findBySlug($slug);

        return $this->theme->of('yoprueba::public.car.show', compact('car'))->render();
    }
}
